IMPLEMENTATION MODULE OClock;     (* By: Harrie F.A. de Leeuw, July 1986 *)



FROM GEMDOS     IMPORT GetTime,
                       SetTime,
                       GetDate,
                       SetDate;


VAR STTime, STDate: CARDINAL;


PROCEDURE WriteTime(TR:TimeRecord);
BEGIN
  STTime:=(TR.Sec DIV 2) + TR.Min*32 + TR.Hour*2048;
  SetTime(STTime);
  STDate:=TR.Day + TR.Month*32 + (TR.Year-80)*512;
  SetDate(STDate)
END WriteTime;


PROCEDURE ReadTime(VAR TR:TimeRecord);
BEGIN
  GetTime(STTime);
  TR.Hour:=STTime DIV 2048;
  STTime:=STTime-TR.Hour*2048;
  TR.Min:=STTime DIV 32;
  TR.Sec:=(STTime-32*TR.Min)*2;
  GetDate(STDate);
  TR.Year:=STDate DIV 512;
  STDate:=STDate-TR.Year*512;
  TR.Year:=TR.Year+80;
  TR.Month:=STDate DIV 32;
  TR.Day:=STDate-TR.Month*32
END ReadTime;


END OClock.
