IMPLEMENTATION MODULE OGEMGlobal;

(* By: Harrie F.A. de Leeuw *)
(* Part of 'Orbit' program  *)


FROM GEMAESbase    IMPORT FormStart,
                          FormGrow,
                          FormShrink,
                          FormFinish,
                          Normal;
FROM AESForms      IMPORT FormCenter,
                          FormDialogue,
                          FormDo;
FROM AESObjects    IMPORT ObjectDraw,
                          ObjectChange;



PROCEDURE HandleForm(TreeAddr:TreePointer; First:INTEGER);
VAR Xf,Yf,Wf,Hf: INTEGER;
BEGIN
  FormCenter(TreeAddr,Xf,Yf,Wf,Hf);
  FormDialogue(FormStart,Xf+(Wf DIV 2),Yf+(Hf DIV 2),1,1,Xf,Yf,Wf,Hf);
  FormDialogue(FormGrow,Xf+(Wf DIV 2),Yf+(Hf DIV 2),1,1,Xf,Yf,Wf,Hf);
  ObjectDraw(TreeAddr,0,2,Xf,Yf,Wf,Hf);
  Touched:=FormDo(TreeAddr,First);
  FormDialogue(FormShrink,Xf+(Wf DIV 2),Yf+(Hf DIV 2),1,1,Xf,Yf,Wf,Hf);
  FormDialogue(FormFinish,Xf+(Wf DIV 2),Yf+(Hf DIV 2),1,1,Xf,Yf,Wf,Hf);
  ObjectChange(TreeAddr,Touched,0,Xf,Hf,Wf,Hf,Normal,0)
END HandleForm;


BEGIN (* Initialisation code *)
  SatelliteNotSaved:=FALSE;
  SatelliteActive:=FALSE;
  ScanParamsActive:=FALSE
END OGEMGlobal.
